org.firebirdsql.extern.decimal

## Enum OverflowHandling

- java.lang.Object
- - java.lang.Enum<OverflowHandling>
  - - org.firebirdsql.extern.decimal.OverflowHandling

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OverflowHandling>

    public enum OverflowHandling
    extends java.lang.Enum<OverflowHandling>

How to handle overflows when rounding (converting) to a target decimal type.

Overflow occurs when converting a value to the target type would lead to loss of significant digits, or in other words: if the value doesn't fit in the target type.

As an example attempts to store `1.0e300` in a `Decimal32` leads to an overflow, as the maximum value it can hold is `9.999999e96`.

Author:
  Mark Rotteveel

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ROUND_TO_INFINITY` Overflow will round to +/-Infinity, depending on the signum of the value.
`THROW_EXCEPTION` Overflow will throw a `DecimalOverflowException`.

### Method Summary

Methods
`static OverflowHandling` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OverflowHandling[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ROUND_TO_INFINITY

    public static final OverflowHandling ROUND_TO_INFINITY

Overflow will round to +/-Infinity, depending on the signum of the value.

Underflow will round to zero.

#### THROW_EXCEPTION

    public static final OverflowHandling THROW_EXCEPTION

Overflow will throw a `DecimalOverflowException`.

Underflow will round to zero.

### Method Detail

#### values

    public static OverflowHandling[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OverflowHandling c : OverflowHandling.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OverflowHandling valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null